commit 2fc3b32
Author: Benjamin Coddington <bcodding@redhat.com>
Date:   Fri Apr 15 02:30:16 2016 -0400

    packet-nfs: fix layout_blksize label
    
    Change-Id: I81c61b9e04bc787ce2afb90db2c83a37d4f5fd44
    Reviewed-on: https://code.wireshark.org/review/15015
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Jaap Keuter <jaap.keuter@xs4all.nl>
    (cherry picked from commit 287aacf06a2b7799ff69dc3eea255d6ad4a6c6f3)
    Reviewed-on: https://code.wireshark.org/review/15028
    Reviewed-by: Jeff Morriss <jeff.morriss.ws@gmail.com>

commit 9ad55cc
Author: Benjamin Coddington <bcodding@redhat.com>
Date:   Fri Apr 15 02:28:21 2016 -0400

    packet-nfs: fix offset calculation for fs_layout_type
    
    Change-Id: I4d0176938f977caffc09a96c44e081dbe7a0154c
    Reviewed-on: https://code.wireshark.org/review/15014
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Jaap Keuter <jaap.keuter@xs4all.nl>
    (cherry picked from commit 3eaa183fea5971843766aa9007da1da0b84fffe8)
    Reviewed-on: https://code.wireshark.org/review/15026
    Reviewed-by: Jeff Morriss <jeff.morriss.ws@gmail.com>

commit 970b4ef
Author: Gerald Combs <gerald@wireshark.org>
Date:   Wed Apr 20 11:53:46 2016 -0700

    Prep for 1.12.11.
    
    Change-Id: I9225849caac8651b85ae168328f4f81a5ada8cd1
    Reviewed-on: https://code.wireshark.org/review/15024
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit c5a9678
Author: Gerald Combs <gerald@wireshark.org>
Date:   Mon Apr 11 15:38:14 2016 -0700

    Restrict the depth of the protocol tree.
    
    Limit the the protocol tree to 500 levels. This keeps us from running
    out of stack space in proto_tree_traverse_{pre,post}_order.
    
    Bug: 12268
    Change-Id: I60f6b4487bf51a4d43da0429819a8a20fbdb313a
    Reviewed-on: https://code.wireshark.org/review/14887
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    (cherry picked from commit 8dc9551e1d56290e6f7f02cc38b77e1d211fd4a5)
    Reviewed-on: https://code.wireshark.org/review/15010

commit f9bbcfb
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Tue Apr 19 16:44:14 2016 +0200

    iWARP MPA: properly handle MPA PDU length with padding
    
    Bug: 12348
    Change-Id: I2ed5fcce34bbdb13329ca72012f92adb641f56c6
    Reviewed-on: https://code.wireshark.org/review/15005
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit c9c3162ef34886788221eab57012af7e67eca676)
    Reviewed-on: https://code.wireshark.org/review/15009

commit 9ac318b
Author: Jaap Keuter <jaap.keuter@xs4all.nl>
Date:   Mon Apr 18 23:33:05 2016 +0200

    Use proper operator to find odd number (CID-1355647)
    
    Use binary AND instead of modulus operator to find odd number.
    
    Change-Id: I8eb819593ead66381cbe46997aab9d31955bad0c
    Reviewed-on: https://code.wireshark.org/review/14993
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 7f1d08585468facfc68c91d4f7e6783c7b5b60c3)
    Reviewed-on: https://code.wireshark.org/review/15000

commit 3b46c8a
Author: Carlos Velasco <carlos.velasco@nimastelecom.com>
Date:   Mon Apr 18 11:40:50 2016 +0200

    RTP: fix decoding of padding in RFC 585 header extension
    
    Bug: 12339
    Change-Id: I465e8daf2529f34ab23a614e5fdf85d48232321f
    Reviewed-on: https://code.wireshark.org/review/14989
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit d93498ee76fcdde51320bf244adcf86cf5d30cd4)
    Reviewed-on: https://code.wireshark.org/review/14991

commit c03cc80
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Apr 17 08:26:38 2016 -0700

    [Automatic update for 2016-04-17]
    
    Update manuf, services enterprise-numbers, translations, and other items.
    
    Change-Id: I1019d72896b9c6f7b8e05e08333b97611b5b4b29
    Reviewed-on: https://code.wireshark.org/review/14953
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 9b327b6
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Fri Apr 15 20:19:45 2016 +0200

    GSM: add a sanity check
    
    Like the one added in gcfc47c1
    
    Change-Id: Ieb6aaa406ad141502980d4447d5ee9f03044acbe
    Reviewed-on: https://code.wireshark.org/review/14930
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit 3ee37d7629eb13a610374f205278ad78bfa38161)
    Conflicts:
    	epan/dissectors/packet-gsm_a_common.c
    Reviewed-on: https://code.wireshark.org/review/14941

commit 9d29286
Author: Jaap Keuter <jaap.keuter@xs4all.nl>
Date:   Thu Apr 14 22:51:50 2016 +0200

    Backport change 14501 to master-2.0
    
    Change-Id: I7b1f242b2c70e912bc653fba515eeb7b1acb6a09
    Reviewed-on: https://code.wireshark.org/review/14922
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 58fe773b2e863d0575636e9ddf30ef0adb790775)
    Reviewed-on: https://code.wireshark.org/review/14937

commit 46e0b96
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Apr 10 08:26:10 2016 -0700

    [Automatic update for 2016-04-10]
    
    Update manuf, services enterprise-numbers, translations, and other items.
    
    Change-Id: I1290ad128fbbdc49171d0ba034e4700a4a774dea
    Reviewed-on: https://code.wireshark.org/review/14878
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit fa0831b
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Apr 3 08:25:39 2016 -0700

    [Automatic update for 2016-04-03]
    
    Update manuf, services enterprise-numbers, translations, and other items.
    
    Change-Id: Ie7def97e6411d59f69c3d28952a1bf413dfa852a
    Reviewed-on: https://code.wireshark.org/review/14795
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit df3d07b
Author: Jaap Keuter <jaap.keuter@xs4all.nl>
Date:   Fri Apr 1 18:55:27 2016 +0200

    replace dangerous tvb_get_ptr with safer string function.
    
    Using tvb_get_ptr to get a string is always dangerous in the face of
    malformed packets. Instead using string functions allow for safe handling
    of these.
    
    Bug: 12242
    Change-Id: Id5a57a3d9ab744386b3358d378fe9e0e62df54fa
    Reviewed-on: https://code.wireshark.org/review/14769
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit edf4950
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Mon Mar 28 16:30:55 2016 +0200

    GSM CBCH: fix an out of bounds access
    
    As explained by Guy, we should use new_slots[i] and not new_slots[k]
    
    Bug: 12278
    Change-Id: Ifae44f9d5948bed5c4ee0442510724016e307dee
    Reviewed-on: https://code.wireshark.org/review/14678
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 0fe522dfc689c3ebd119f2a6775d1f275c5f04d8)
    Reviewed-on: https://code.wireshark.org/review/14691

commit 47a40a5
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Mon Mar 28 17:59:43 2016 +0200

    wslua: handle parameters with const keyword when generating taps
    
    Change-Id: I46148b6454a501035d86fa8f1eb767687f68aa42
    Reviewed-on: https://code.wireshark.org/review/14670
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Jörg Mayer <jmayer@loplof.de>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit c3c7bf753a90e7859ff69c3f4ce1a7e368bc3842)
    Reviewed-on: https://code.wireshark.org/review/14675

commit f38edd8
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Mar 27 12:55:14 2016 -0700

    Treat Gammu DCT3 trace files as having magic numbers.
    
    Otherwise, they get treated as generic XML files.  No, a standard XML
    tag, followed by <dump>, isn't a *perfect* magic number, but if you
    *really* want to read it as a generic XML file, you can do so from the
    UI.
    
    Change-Id: Ifae34522748099bcda429d3ce55c0a5b99de4c1b
    Reviewed-on: https://code.wireshark.org/review/14658
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 5e37ade
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Mar 27 08:23:29 2016 -0700

    [Automatic update for 2016-03-27]
    
    Update manuf, services enterprise-numbers, translations, and other items.
    
    Change-Id: Id9f006d937b26715f95855626e4fffbe69126b76
    Reviewed-on: https://code.wireshark.org/review/14652
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 99efcb0
Author: Michael Mann <mmann78@netscape.net>
Date:   Sat Mar 26 10:03:25 2016 -0400

    Dynamically allocate info string to prevent stack overflow.
    
    Bug: 12293
    Change-Id: I2b11afeed283c3a98ab2990ea99322a9f8bb0567
    Reviewed-on: https://code.wireshark.org/review/14640
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit be3f2c3
Author: Michael Mann <mmann78@netscape.net>
Date:   Fri Mar 25 22:50:53 2016 -0400

    Make sure there's enough data in the header for a FMTP packet.
    
    Bug: 12285
    Change-Id: I103dff37b34f922ac5c3071c49b7dfe55b059717
    Reviewed-on: https://code.wireshark.org/review/14634
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 59ab27b9c23d20e9f3fc0ad24930f2674a5b6544)
    Reviewed-on: https://code.wireshark.org/review/14638
    (cherry picked from commit b7ebeeb6ba0e424271d3a46f65e6c0ac5251a4aa)
    Reviewed-on: https://code.wireshark.org/review/14639

commit 4446971
Author: Michael Mann <mmann78@netscape.net>
Date:   Fri Mar 18 21:06:51 2016 -0400

    PKTC must be stricter with its Kerberos application choices.
    
    The PKTC dissector calls the Kerberos dissector assuming certain application values.  Because different application values can have different "private" data, corruption can occur.
    Ensure the Kerberos application values match the preceding comments by checking the ber identifier before calling the Kerberos dissector.
    
    # Conflicts:
    #	epan/dissectors/packet-kerberos.c
    #	epan/dissectors/packet-pktc.c
    
    (cherry picked from commit 4cdc9eeba58f866bd5f273e9c5b3876857a7a4bf)
    
    Bug: 12206
    Change-Id: I5ffd94d86f0a4689169c47b58662988c5b8e433d
    Reviewed-on: https://code.wireshark.org/review/14541
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 3847c67
Author: Daniël van Eeden <git@myname.nl>
Date:   Sun Mar 20 16:26:49 2016 +0100

    Fix response ok packet with no session tracking info but flag set
    
    Change-Id: I901ebc2128c92ef758b6b400cc8d86488a2115cb
    Reviewed-on: https://code.wireshark.org/review/14537
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 93a3041bf541d07f20d68ac488a5d3c887edd35e)
    Reviewed-on: https://code.wireshark.org/review/14539

commit 6b9098b
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Mar 20 08:22:26 2016 -0700

    [Automatic update for 2016-03-20]
    
    Update manuf, services enterprise-numbers, translations, and other items.
    
    Change-Id: I667871230b47456bf92fd358c8c0762539806223
    Reviewed-on: https://code.wireshark.org/review/14534
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 8460374
Author: Michael Mann <mmann78@netscape.net>
Date:   Fri Mar 18 22:31:33 2016 -0400

    Make sure first byte in ACAP packet is printable.
    (Must convert dissector to "new" style)
    
    Saves some false positives for protocols using port 674.
    
    Bug: 12265
    Change-Id: Ie9926f007ca31ad2b56bf8be62f8655cf61da569
    Reviewed-on: https://code.wireshark.org/review/14526
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 5a0944c
Author: Marko Hrastovec <marko.hrastovec@gmail.com>
Date:   Thu Mar 17 17:12:50 2016 +0100

    ASTERIX: fix for wrong RE and SP fields in CAT048.
    
    Bug: 12267
    Change-Id: I4871da19cb8b11e2df0de13993350a71168f7ab4
    Reviewed-on: https://code.wireshark.org/review/14502
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    (cherry picked from commit e7a24dc48415d06598194d0f486eb905c3a86bc9)
    Reviewed-on: https://code.wireshark.org/review/14503
    (cherry picked from commit c64d0ffb5237909c7d113043445f933ea28cef59)
    Reviewed-on: https://code.wireshark.org/review/14504

commit 0fb5c52
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Mar 16 14:43:19 2016 -0700

    More control frame dissection cleanups.
    
    Get rid of most tests of tree, so we always step through the packet.
    
    Change-Id: I74b64805779176c6724297cc133e537c5c4259cc
    Reviewed-on: https://code.wireshark.org/review/14498
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit fd87a6c
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Mar 16 12:36:38 2016 -0700

    Fix dissection of control frames.
    
    Don't conditiionalize stuff that should always be done with a test of
    whether the protocol tree is being constructed or not.
    
    Don't add an extra bogus address field to CF-End frames.
    
    Bug: 12266
    Change-Id: Ic2b87d5b8a830633335d07edc4432090f56960d1
    Reviewed-on: https://code.wireshark.org/review/14495
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit acf9e51
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Mar 16 01:05:25 2016 -0700

    Indicate where ACAP is specified.
    
    Change-Id: I5a153b6d340f468b9835c3a0adee195807d7cae1
    Reviewed-on: https://code.wireshark.org/review/14489
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 597b227aab07be0b57bc6e27f8ee58b5cc43d3c6)
    Reviewed-on: https://code.wireshark.org/review/14491

commit 73dbc54
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Mon Mar 14 23:35:56 2016 +0100

    IAX2: fix an infinite loop
    
    Bug: 12260
    Change-Id: I29b23ff2d862027fd44c6dd4de3cbb304664fd05
    Reviewed-on: https://code.wireshark.org/review/14473
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 42f299be6abb302f32cec78b1c0812364c9f9285)
    Reviewed-on: https://code.wireshark.org/review/14474
    (cherry picked from commit fedd01d412836b89962184919498d69a221a5a67)
    Reviewed-on: https://code.wireshark.org/review/14475

commit 35e4234
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Mar 13 08:20:04 2016 -0700

    [Automatic update for 2016-03-13]
    
    Update manuf, services enterprise-numbers, translations, and other items.
    
    Change-Id: If11e7371d88a7f2c5f18c23f50b76136b2808bcc
    Reviewed-on: https://code.wireshark.org/review/14445
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 5151d46
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Mar 6 10:37:53 2016 -0800

    Fix indentation.
    
    Change-Id: I78fd1d8e91443fa878e6c4ae05839d8a49849830
    Reviewed-on: https://code.wireshark.org/review/14367
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 73ce3407a91c8a0751eee35399fcf3a63c927106)
    Reviewed-on: https://code.wireshark.org/review/14369

commit c72c7b3
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Mar 6 10:36:01 2016 -0800

    [Automatic update for 2016-03-06]
    
    Update manuf, services enterprise-numbers, translations, and other items.
    
    Change-Id: I7faa02df13ffaa5595f4546dd6d1eed8b1e4aa30
    Reviewed-on: https://code.wireshark.org/review/14366
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit eb33612
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Mar 6 10:09:56 2016 -0800

    To see whether a string equals another string, just use strcmp().
    
    The goal here is to see whether out_filename is "-" or not; there's no
    good reason to use strncmp() here.
    
    Fixes Coverity CID 1316605.
    
    Change-Id: I851eee869afed58ac091982b8d303b0eda276c2e
    Reviewed-on: https://code.wireshark.org/review/14361
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 68b7b1ab57529a3a45d6d0f24445c66d79366752)
    Reviewed-on: https://code.wireshark.org/review/14363

commit e76c8c4
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Wed Mar 2 20:59:05 2016 +0100

    802.11: fix Length error shown for IE BSS AC Access Delay/WAPI Parameter Set (68)
    
    Issue reported by Ted Wards
    
    Bug:12223
    Change-Id: I38adba8ee3d48788afce20d969d708c7635c8703
    Reviewed-on: https://code.wireshark.org/review/14302
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 77a51512e2715b923fbc32b9e68edb990bf287e7)
    Reviewed-on: https://code.wireshark.org/review/14307

commit 0aab40d
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Mar 2 01:41:51 2016 -0800

    Add missing break.
    
    Don't fall through and re-dissect the control byte of an S frame as if
    it were a UI frame.
    
    Change-Id: I17cf12f920bf066f87f70be5efe78dc531beb3f9
    Reviewed-on: https://code.wireshark.org/review/14284
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit e8c763e95065a22a629dbb5f434ffac5ce18bfb7)
    Reviewed-on: https://code.wireshark.org/review/14286

commit bed6929
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Feb 28 08:20:39 2016 -0800

    [Automatic update for 2016-02-28]
    
    Update manuf, services enterprise-numbers, translations, and other items.
    
    Change-Id: I30fbe58b8ef6ac9addf5b332a92c5e9ee04f7a6d
    Reviewed-on: https://code.wireshark.org/review/14227
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 5e241fd
Author: Rustam S <rustam.safargalin@sifox.ru>
Date:   Sat Feb 27 08:28:58 2016 -0500

    Typo in packet-gsm_a_dtap.c
    
    Bug: 12186
    Change-Id: Ib73ee78ba732f5ed88f596a72146a75efa47cebd
    Reviewed-on: https://code.wireshark.org/review/14198
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit ae0f62f5dcbbc9eb01c7f1744fbc4f82820364ab)
    Reviewed-on: https://code.wireshark.org/review/14218

commit 986dbb5
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Feb 26 17:14:52 2016 -0800

    Fix appending the list of remote interfaces.
    
    Don't assume if_list is non-null when append_remote_list() is called; it
    won't be, if we didn't find any local interfaces.  Have
    append_remote_list() return the final if_list value, and assign it to
    if_list.
    
    Change-Id: I05586d5b034f3d61aa38a20f6c6d2c69117b367e
    Reviewed-on: https://code.wireshark.org/review/14191
    Petri-Dish: Guy Harris <guy@alum.mit.edu>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    Reviewed-on: https://code.wireshark.org/review/14193

commit 194ea9e
Author: Gerald Combs <gerald@wireshark.org>
Date:   Fri Feb 26 14:16:35 2016 -0800

    1.12.10 → 1.12.11.
    
    Change-Id: I6cce6adff00ad5f5d4e439b28c83c58a17946b68
    Reviewed-on: https://code.wireshark.org/review/14181
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
